## cascading.tuple
Class TupleException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  cascading.CascadingException
                      cascading.tuple.TupleException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  FieldsResolverException

    public class TupleException

extends CascadingException

Class TupleException is thrown by the `Tuple`, `Fields` and `TupleEntry` classes.

See Also:
  Serialized Form

Constructor Summary
`TupleException()` Constructor TupleException creates a new TupleException instance.
`TupleException(String string)` Constructor TupleException creates a new TupleException instance.
`TupleException(String string, Throwable throwable)` Constructor TupleException creates a new TupleException instance.
`TupleException(Throwable throwable)` Constructor TupleException creates a new TupleException instance.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TupleException

    public TupleException()

  Constructor TupleException creates a new TupleException instance.

### TupleException

    public TupleException(String string)

  Constructor TupleException creates a new TupleException instance.

  Parameters:
    `string` - of type String

### TupleException

    public TupleException(String string,
                          Throwable throwable)

  Constructor TupleException creates a new TupleException instance.

  Parameters:
    `string` - of type String
    `throwable` - of type Throwable

### TupleException

    public TupleException(Throwable throwable)

  Constructor TupleException creates a new TupleException instance.

  Parameters:
    `throwable` - of type Throwable

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.